<template>
  <div class="grade_changes wp-layout">
    <div class="wp-12 grade_changes-list">
      <div class="wp-12 list-title">
        <div class="title-text">
          Категория
        </div>
        <div class="title-text wp--justify-self_end">
          Изменение
        </div>
      </div>
      <div class="list-content">
        <div class="list-content__row" v-for="gradeChange in $props.grade_changes"
          :key="gradeChange.category">
          <div class="row-text">
            {{ categoryByID[gradeChange.category] }}
          </div>
          <div class="row-change wp--justify-self_end"
              :class="{
                'row-change--primary': gradeChange.change >= 0,
                'row-change--secondary': gradeChange.change < 0,
              }">
            {{gradeChange.change}}
          </div>
        </div>
      </div>
    </div>
  </div>
</template>

<script>
import { mapState, mapGetters } from 'vuex';

export default {
  name: 'GradeChangesTable',
  props: {
    grade_changes: {
      type: Array,
      required: true,
    },
  },
  computed: {
    ...mapState('organization', ['organization']),
    ...mapGetters('organization', ['categoryByID']),
  },
};
</script>

<style lang="scss" scoped>
.grade_changes {

  &-list {
    margin-bottom: 10px;

    .list {

      &-title {
        margin-bottom: 5px;
        display: flex;
        align-items: center;

        > .wp-indicators {
          margin-right: 25px;
        }

        .title {

          &-text {
            font-size: 15px;
            font-family: $firaSans;
            color: $neutralDarker;
          }

        }

      }

      &-content {

        &__row {
          margin-bottom: 5px;
          display: flex;
          align-items: center;

          > .wp-indicators {
            margin-right: 10px;
          }

          .row {

            &-text {
              font-size: 15px;
              font-family: $roboto;
            }

            &-change {
              font-family: $roboto;

              &--primary {
                color: $primary;
              }

              &--secondary {
                color: $secondary;
              }

            }

          }

        }

      }

    }

  }

}
</style>
